#include <iostream>
#include <fstream>
#include <bits/stdc++.h>
#define max 10000000
using namespace std;
int main()
{
	 int a[100000001],n,k;
	vector<int>d(100000001,0);
 ifstream f1("TANSUAT.inp"); ofstream f2("TANSUAT.out");
 f1>>n>>a[100000001];
    for(int i = 0; i <= n;i++)
    {
    f1>>i;
    f2<<i<<" "<<d[i]<<endl; d[i]++;}
        f1.close();
        f2.close();
        return 0;
}
